LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XSheetLinkable Interface Referencepublished

enables a sheet to refer to another sheet in a different document. More...

`import"XSheetLinkable.idl";`

Inheritance diagram for XSheetLinkable:

## Public Member Functions
com::sun::star::sheet::SheetLinkMode | getLinkMode ()
| returns the link mode of the spreadsheet. More...
void | setLinkMode ([in] com::sun::star::sheet::SheetLinkMode nLinkMode)
| enables the linking of the sheet and controls whether formulas are copied. More...
string | getLinkUrl ()
| returns the target URL of the link. More...
void | setLinkUrl ([in] string aLinkUrl)
| sets the target URL of the link. More...
string | getLinkSheetName ()
| returns the sheet name of the sheet in the source document. More...
void | setLinkSheetName ([in] string aLinkSheetName)
| sets the name of the linked sheet in the source document. More...
void | link ([in] string aUrl, [in] string aSheetName, [in] string aFilterName, [in] string aFilterOptions, [in] com::sun::star::sheet::SheetLinkMode nMode)
| links the sheet to another sheet in another document. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

enables a sheet to refer to another sheet in a different document.

To insert a sheet link, the sheet used as linked sheet has to exist already. The method XSheetLinkable::link() creates a SheetLink object in the document's SheetLinks collection and links the sheet to the specified external sheet.

See also
  com::sun::star::sheet::SheetLinks
  com::sun::star::sheet::SheetLink

Deprecated:

Developers Guide
  Spreadsheet Documents - Sheet Links

## Member Function Documentation

## ◆ getLinkMode()

com::sun::star::sheet::SheetLinkMode getLinkMode | ( |  | ) |

returns the link mode of the spreadsheet.

If the returned value is SheetLinkMode::NORMAL, formulas are copied. With SheetLinkMode::VALUE, only results of formulas are used.

## ◆ getLinkSheetName()

string getLinkSheetName | ( |  | ) |

returns the sheet name of the sheet in the source document.

## ◆ getLinkUrl()

string getLinkUrl | ( |  | ) |

returns the target URL of the link.

## ◆ link()

void link | ( | [in] string | aUrl,
|  | [in] string | aSheetName,
|  | [in] string | aFilterName,
|  | [in] string | aFilterOptions,
|  | [in] com::sun::star::sheet::SheetLinkMode | nMode
| ) |  |

links the sheet to another sheet in another document.

A SheetLink object is created if it does not exist, and the link mode, the URL of the linked document and the linked sheet name are set.

## ◆ setLinkMode()

void setLinkMode | ( | [in] com::sun::star::sheet::SheetLinkMode | nLinkMode | ) |

enables the linking of the sheet and controls whether formulas are copied.

Parameters

  nLinkMode | the value specifying the link mode for this spreadsheet.

If the value is SheetLinkMode::NORMAL, formulas are copied. With SheetLinkMode::VALUE, only results of formulas are used.

## ◆ setLinkSheetName()

void setLinkSheetName | ( | [in] string | aLinkSheetName | ) |

sets the name of the linked sheet in the source document.

This method sets the sheet name in the SheetLink object, it does not modify the sheet name in the source document.

## ◆ setLinkUrl()

void setLinkUrl | ( | [in] string | aLinkUrl | ) |

sets the target URL of the link.

A SheetLink object with the same file name must exist already or the link will not work.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetLinkable.idl